module.exports = {
  create: {
    requestBody: ["code", "!name", "type", "need_teacher"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["code", "!name", "type", "need_teacher"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        code: "code",
        name: "name",
        type: "type",
        need_teacher: "need_teacher",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
